Bug 450333 - grubby in mkinitrd-6.0.52-2.fc9 doesn't follow symlink
grubby in mkinitrd-6.0.52-2.fc9 doesn't follow symlink
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
: Patch, Reopened
Depends On:
Blocks: 554786
  Show dependency treegraph
 
Reported: 2008-06-06 14:27 EDT by H.J. Lu
Modified: 2010-01-12 11:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 554786 (view as bug list)
Environment:
Last Closed: 2010-01-12 10:31:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A grubby patch to follow symlink recursively (1.69 KB, patch)
2008-06-06 14:27 EDT, H.J. Lu
no flags Details | Diff

  None (edit)
Description H.J. Lu 2008-06-06 14:27:30 EDT
I have several Linux distros installed on my machine.
All grub.conf files are symlinked to the same file:

[hjl@gnu-6 gcc]$ ls -l /boot/grub/grub.conf 
lrwxrwxrwx 1 root root 27 2008-05-29 11:34 /boot/grub/grub.conf ->
/mnt/f8/boot/grub/grub.conf

grubby in mkinitrd-6.0.52-2.fc9 doesn't follow symlink
recursively and replaces the symlink with a file. My
machine won't boot Fedora 9 after update. I am enclosing
a patch here to follow symlink recursively.
Comment 1 H.J. Lu 2008-06-06 14:27:30 EDT
Created attachment 308557 [details]
A grubby patch to follow symlink recursively
Comment 2 Bug Zapper 2009-06-09 21:26:48 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 12:10:08 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 H.J. Lu 2009-07-14 12:16:20 EDT
This bug isn't fixed in Fedora 11. The same patch here for Fedora 9 can
be applied to Fedora 11.
Comment 5 Hans de Goede 2010-01-12 10:31:07 EST
This is a mass edit of all mkinitrd bugs.

Thanks for taking the time to file this bug report (and/or commenting on it).

As you may have heard in Fedora 12 mkinitrd has been replaced by dracut. In Fedora 12 the mkinitrd package is still around as some programs depend on
certain libraries it provides, but mkinitrd itself is no longer used.

In Fedora 13 mkinitrd will be removed completely. This means that all work
on initrd has stopped.

Rather then keeping mkinitrd bugs open and giving false hope they might get fixed we are mass closing them, so as to clearly communicate that no more work will be done on mkinitrd. We apologize for any inconvenience this may cause. 

If you are using Fedora 11 and are experiencing a mkinitrd bug you cannot work around, please upgrade to Fedora 12. If you experience problems with the initrd in Fedora 12, please file a bug against dracut.

Note You need to log in before you can comment on or make changes to this bug.